

drivers/pci/quirks.c: In function `pci_fixup_device':
drivers/pci/quirks.c:1043: warning: 'start' might be used uninitialized in this function
drivers/pci/quirks.c:1043: warning: 'end' might be used uninitialized in this function


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pci/quirks.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN drivers/pci/quirks.c~pci-quirks-warning-fix drivers/pci/quirks.c
--- 25/drivers/pci/quirks.c~pci-quirks-warning-fix	2004-08-05 00:43:11.644298072 -0700
+++ 25-akpm/drivers/pci/quirks.c	2004-08-05 00:44:19.763942312 -0700
@@ -1052,6 +1052,10 @@ void pci_fixup_device(int pass, struct p
 		start = __start_pci_fixups_final;
 		end = __end_pci_fixups_final;
 		break;
+
+	default:
+		BUG();
+		return;
 	}
 	pci_do_fixups(dev, start, end);
 }
_
